# -*- coding: utf-8 -*-
#
#
# TheVirtualBrain-Framework Package. This package holds all Data Management, and
# Web-UI helpful to run brain-simulations. To use it, you also need to download
# TheVirtualBrain-Scientific Package (for simulators). See content of the
# documentation-folder for more details. See also http://www.thevirtualbrain.org
#
# (c) 2012-2024, Baycrest Centre for Geriatric Care ("Baycrest") and others
#
# This program is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.  See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with this
# program.  If not, see <http://www.gnu.org/licenses/>.
#
#
#   CITATION:
# When using The Virtual Brain for scientific publications, please cite it as explained here:
# https://www.thevirtualbrain.org/tvb/zwei/neuroscience-publications
#
#

"""
List here all Python modules where Visualization adapters are described.
Listed modules will be introspected and DB filled.
"""

ALL_VISUALIZERS = ["annotations_viewer", "brain", "complex_imaginary_coherence", "connectivity",
                   "connectivity_edge_bundle", "cross_coherence", "cross_correlation", "eeg_monitor",
                   "fourier_spectrum", "histogram", "ica", "local_connectivity_view", "matrix_viewer", "pca",
                   "pearson_cross_correlation", "pearson_edge_bundle", "pse_discrete", "pse_isocline",
                   "region_volume_mapping", "sensors", "surface_view", "time_series", "time_series_volume",
                   "tract", "topographic", "wavelet_spectrogram"]
